Tenancies: patch
Update deposit registration details for an existing tenancy.
Request - PATCH https://api-uat.vtopenview.com/tenancies/{tenancyid}
You will need to supply the Tenancy Id on your request parameters with this method. You can get your Tenancy Id from the return of the Tenancy List.
You will need to include your access token upon making a request. For more information, see the authentication and authorization page.
You must supply at least one supported field in the request body. Fields that are not supplied will not be changed.
Example request with authorization:
curl -- PATCH Base URI: https://api-uat.vtopenview.com/tenancies/{tenancyid}
--header "Authorization: Bearer MTQ0NjJkZmQ5OTM2NDE1ghNNBiuyUYUN"
--header "Content-Type: application/json"
Request Body
Supply depositRegistered, depositReference, transferredDate, udf, or any combination of these fields.
Example request body:
Content-Type: application/json
{
"depositRegistered": boolean,
"depositReference": "string",
"transferredDate": "date",
"udf": [
{
"udfid": long,
"value": "string"
}
]
}
Fields:
depositRegistered - Optional boolean. When supplied, sets the tenancy deposit registration status to true or false.
depositReference - Optional string. When supplied, sets the tenancy deposit reference.
transferredDate - Optional date. When supplied, sets the tenancy deposit transferred date.
udf - Optional array of tenancy UDF values. Each item requires udfid and value.
Response
If successful, this method returns a response body with the updated deposit details:
Example response:
HTTPS 200 OK
Content-Type: application/json
{
"tenancyid": long,
"compliance": {
"depositprotection": {
"depositregistered": boolean,
"depositreference": "string",
"transferreddate": "date"
}
},
"udf": [
{
"udfid": long,
"value": "string"
}
],
"tenancyModifiedDate": "date"
}
If the supplied tenancy cannot be found for the authenticated company, this method returns 404 Not Found.